SDL_hid_get_properties(3)

NAME
SDL_hid_get_properties - Get the properties associated with an SDL_hid_device.

SYNOPSIS
#include <SDL3/SDL_hidapi.h>

SDL_PropertiesID SDL_hid_get_properties(SDL_hid_device *dev);

DESCRIPTION
The following read-only properties are provided by SDL:

• SDL_PROP_HIDAPI_LIBUSB_DEVICE_HANDLE_POINTER: the libusb_device_handle associated with the device, if it was opened using libusb.

FUNCTION PARAMETERS

dev a device handle returned from SDL_hid_open().

RETURN VALUE
Returns a valid property ID on success or 0 on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.4.0.